/***************************************************************************
    FstatHandler.h
	  -----------------------------------------
begin      : 2011/12/06
copyright  : (C) 2005 SolutionBox Inc.
author     : Service 1 Team
email      : svc1@solbox.com
version    : 1.0

CopyRight(C) 2005 SolutionBox Inc. All Rights reserved.
Redistribution and use in source and binary forms, with or with out
modification, are not permitted in outside of SolutionBox Inc.
 ***************************************************************************/

#ifndef _FSTAT_HANDLER_H_
#define _FSTAT_HANDLER_H_

#include <string>
#include <list>

using namespace std;


class CFstatInfo
{
	private:
	public:
		CFstatInfo(){};
		~CFstatInfo(){};

		std::string m_szPid;
		std::string m_szFdNum;
		std::string m_szRW;
};

class CFstatHandler
{
	// Attributes
	private:

	protected:

	public:

		// Operations
	private:
		void Trim( string & str );

	protected:
	public:
		CFstatHandler();
		~CFstatHandler(){};

		int GetFdCountOnSystem( std::string szFileName );

};

#endif // _FSTAT_HANDLER_H_

